org.apache.maven.scm.providers.svn.settings.io.xpp3

## Interface SvnXpp3Reader.ContentTransformer

- Enclosing class:
    SvnXpp3Reader

      public static interface SvnXpp3Reader.ContentTransformer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `transform(String source, String fieldName)` Interpolate the value read from the xpp3 document

- - ### Method Detail

    - #### transform

          String transform(String source,
                         String fieldName)

      Interpolate the value read from the xpp3 document
      Parameters:
        `source` - The source value
        `fieldName` - A description of the field being interpolated. The implementation may use this to log stuff.
      Returns:
        The interpolated value.

Copyright © 2003–2015. All rights reserved.